Module java.desktop
Package java.beans.beancontext

# Interface BeanContextMembershipListener

All Superinterfaces:
  `EventListener`

public interface BeanContextMembershipListener extends EventListener

Compliant BeanContexts fire events on this interface when the state of the membership of the BeanContext changes.

Since:
  1.2
See Also:
  - `BeanContext`

## Method Summary

Modifier and Type
Method
Description
`void`
`childrenAdded(BeanContextMembershipEvent bcme)`
Called when a child or list of children is added to a `BeanContext` that this listener is registered with.
`void`
`childrenRemoved(BeanContextMembershipEvent bcme)`
Called when a child or list of children is removed from a `BeanContext` that this listener is registered with.

## Method Details

### childrenAdded

void childrenAdded(BeanContextMembershipEvent bcme)
Called when a child or list of children is added to a `BeanContext` that this listener is registered with.

Parameters:
  `bcme` - The `BeanContextMembershipEvent` describing the change that occurred.

### childrenRemoved

void childrenRemoved(BeanContextMembershipEvent bcme)
Called when a child or list of children is removed from a `BeanContext` that this listener is registered with.

Parameters:
  `bcme` - The `BeanContextMembershipEvent` describing the change that occurred.